@echo off

:: batch script to launch and plays DVD movies, Blu-ray movies, or other
:: file types by specifying their parent folder only.  Does not recurse
:: sub-directories for movie files.
::
:: Usage: movie_launcher.bat "<folderpath>"
:: 
:: Add addional file type suffixes below to be included in the playlist.
:: These are searched in the <folderpath> after DVD and Blu-ray has been tried.

SET _filesuffixes=mkv avi mp4 mov

:: Remove existing double quotes - windows command shell is stupid
SET _dequoted=%1
SET _dequoted=###%_dequoted%###
SET _dequoted=%_dequoted:"###=%
SET _dequoted=%_dequoted:###"=%
SET _dequoted=%_dequoted:###=%

:: ---- DVD movie
:dvd
echo Try DVD movie...
SET _file="%_dequoted%\VIDEO_TS\*.VOB"
if not exist %_file% goto :bluray
call :launchmovie DVD /PlayReplace %_file%
goto :EOF

:: ---- Blu-ray movie
:bluray
echo Try Blu-ray movie...
SET _file="%_dequoted%\BDMV\index.bdmv"
if not exist %_file% goto :file
call :launchmovie Blu-ray /PlayReplace %_file%
goto :EOF

:: ---- general file-based movies
:file
echo Try general file movie...
mc16.exe /Clear
for %%T in (%_filesuffixes%) do (
	:: echo T is %%T
	for %%F in ("%_dequoted%\*.%%T") do (
		:: echo F is %%F
		if exist %%F call :launchmovie File /Append "%%F"
    )
)
goto :EOF

:: ---- launches a movie of type %1, using mcc command line option %2, and file %3
:launchmovie
echo Launching type %1 : mc16.exe %2 "%3"
mc16.exe %2 "%3"
exit /b

:EOF
